TechDraw Symbol/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{Docnav/ru |Применить геометрическую штриховку к грани |TechDraw_Image/ru|Вставить растро...")
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/ru
|[[TechDraw_GeometricHatch|GeometricHatch]]
|[[TechDraw_GeometricHatch/ru|Применить геометрическую штриховку к грани]]
|[[TechDraw_Image|Image]]
|[[TechDraw_Image/ru|Вставить растровое изображение]]
|[[TechDraw_Workbench|TechDraw]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_GeometricHatch.svg
|IconL=TechDraw_GeometricHatch.svg
|IconR=TechDraw_Image.svg
|IconR=TechDraw_Image.svg

Revision as of 17:34, 11 September 2021

Other languages:

TechDraw Symbol

Системное название
TechDraw Symbol
Расположение в меню
TechDraw → Вставить SVG символ
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
TechDraw Templates, Draft SVG

Описание

The Symbol tool inserts an SVG file into the page. This symbol can be anything that helps annotating your drawing, and that doesn't need to be further modified.

Compass rose added to the drawing page; this symbol is available by installing the "symbols_library" addon with the Addon Manager

Применение

  1. Press the Insert SVG Symbol button
  2. A File Save dialog will open.
  3. Select a location and file name.
  4. Press OK

If the symbol appears larger than expected, use the scale property to adjust its size.

Примечания

  • ДанныеScale Type for Symbols is always set to Custom at creation. This is for convenience, since symbols are almost always scaled differently from the rest of the objects on the page.

Программирование

See also: TechDraw API and FreeCAD Scripting Basics.

The Symbol tool can be used in macros and from the Python console by using the following functions:

sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
rc = page.addView(anno)
f = open(unicode(symbolFileSpec,'utf-8'),'r')
svg = f.read()
f.close()
sym.Symbol = svg
rc = page.addView(sym)